export default async function handler(req, res) {
  if (req.method !== 'POST') {
    return res.status(405).json({ error: 'Method not allowed' });
  }

  try {
    const { score = 0, attempts = 0 } = req.body;
    
    return res.status(200).json({
      version: 'vNext',
      image: {
        src: `https://hoopshootframehub.pro/images/result-${score}.png`,
        aspectRatio: '1.91:1'
      },
      buttons: [
        {
          label: `Score: ${score}/${attempts} - Shoot Again!`,
          action: 'post'
        }
      ]
    });
  } catch (error) {
    console.error('Frame API error:', error);
    return res.status(500).json({ error: 'Internal server error' });
  }
}
