let score = 0;
let attempts = 0;

const initializeFrame = async () => {
  try {
    const frameContext = await window.frames.getContext();
    console.log('Frame context:', frameContext);

    const basketball = document.querySelector('.basketball');
    const button = document.querySelector('.frameButton');

    const animateShot = () => {
      const success = Math.random() > 0.5;
      basketball.style.transition = 'all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94)';
      
      if (success) {
        basketball.style.transform = 'translate(200%, -200%) rotate(720deg)';
        score++;
      } else {
        basketball.style.transform = 'translate(180%, -150%) rotate(720deg)';
      }

      attempts++;
      
      setTimeout(() => {
        basketball.style.transition = 'none';
        basketball.style.transform = 'none';
      }, 1000);
    };

    button.addEventListener('click', async () => {
      try {
        animateShot();
        await window.frames.postMessage({
          action: 'post',
          score: score,
          attempts: attempts
        });
      } catch (error) {
        console.error('Frame action error:', error);
      }
    });

    await window.frames.ready();
  } catch (error) {
    console.error('Frame initialization error:', error);
  }
};

document.addEventListener('DOMContentLoaded', initializeFrame);
